# Generated by Copilot.
"""Sphinx configuration for rey documentation."""

import os
import sys
from datetime import datetime

# Add the project root directory to the path so that autodoc can find the package
sys.path.insert(0, os.path.abspath(".."))

# Package import
import rey

# Project information
project = "rey"
author = "Szymon Talaga"
copyright = f"{datetime.now().year}, {author}"
version = rey.__version__
release = version

# Extensions
extensions = [
    "sphinx.ext.autodoc",
    "sphinx.ext.viewcode",
    "sphinx.ext.napoleon",
    "sphinx.ext.autosummary",
    "sphinx.ext.intersphinx",
    "myst_parser",  # For Markdown support
]

# Theme
html_theme = "sphinx_rtd_theme"
html_static_path = ["_static"]

# Autodoc settings
autodoc_default_options = {
    "members": True,
    "show-inheritance": True,
    "undoc-members": True,
}

# Napoleon settings
napoleon_google_docstring = True
napoleon_numpy_docstring = False

# Intersphinx mapping
intersphinx_mapping = {
    "python": ("https://docs.python.org/3", None),
}

# MyST parser settings for Markdown support
source_suffix = {
    ".rst": "restructuredtext",
    ".md": "markdown",
}
